KDE 4.9 PyKDE API Reference

- KDE's Python API

# ClientPinRequest Class Reference

`from PyKDE4.plasma import *`

Inherits: QObject
Namespace: Plasma

## Detailed Description

ClientPinRequest plasma/clientpinrequest.h <Plasma/ClientPinRequest>

describes an outgoing connection. this is just passed to AuthorizationInterface when a remote widget asks to do pin pairing first, so the shell can ask the user for a pin.

Since:
  4.4

## Signals

| changed (Plasma.ClientPinRequest a0)

## Methods

| __init__ (self)
QString | description (self)
QString | pin (self)
| setPin (self, QString pin)

## Signal Documentation

changed | ( | Plasma.ClientPinRequest | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("changed(Plasma::ClientPinRequest*)"), target_slot)`

## Method Documentation

__init__ | ( |  | self ) |

QString description | ( |  | self ) |

Returns:
  nice i18n'ed description of this outgoing connection.

QString pin | ( |  | self ) |

Returns:
  the pin for pin pairing.

setPin | ( | self, |
|  | QString | pin
| ) |  |  |

Parameters:

  | pin | set a pin for pin pairing.